using System.Collections.Generic;
using System.Linq;

namespace Wizard;

public class TutorialData
{
	public enum POPUP_TYPE
	{
		TutorialPopupTypeA,
		TutorialPopupTypeB,
		TutorialPopupTypeC,
		TutorialPopupTypeD
	}

	public int popup_id;

	public int tutorial_id;

	public string popup_title;

	public POPUP_TYPE popup_type;

	public List<string> effect_path = new List<string>();

	public List<string> effect_position = new List<string>();

	public string text1;

	public string text2;

	public string text3;

	private int index;

	public TutorialData(string[] columns)
	{
		popup_id = int.Parse(columns[index++]);
		tutorial_id = int.Parse(columns[index++]);
		popup_title = columns[index++];
		popup_type = (POPUP_TYPE)int.Parse(columns[index++]);
		string[] source = columns[index++].Split(","[0]);
		effect_path = source.ToList();
		string[] source2 = columns[index++].Split(","[0]);
		effect_position = source2.ToList();
		text1 = columns[index++];
		text2 = columns[index++];
		text3 = columns[index++];
	}
}
